sampler2D sourceTex;
sampler2D disTex;
sampler2D inkTex;
sampler2D endTex;
//float firstRender;

void getPSEndEffect(in float4 texCoord0: TEXCOORD0,
					out float4 outColor: COLOR) {
	
	float2 newLookup = 0.0001f*tex2D(disTex, texCoord0.xy).xy;
    
	float4 inkColor = tex2D(inkTex, texCoord0.xy);
	float4 sourceColor = tex2D(sourceTex, texCoord0.xy+newLookup);
	//outColor = firstRender*sourceColor + (1.0f-firstRender)*((sourceColor)*inkColor + (1.0f - inkColor)*tex2D(endTex, texCoord0.xy));
	outColor = sourceColor*inkColor + (1.0f - inkColor)*tex2D(endTex, texCoord0.xy);
}

pixelfragment psEndEffect = compile_fragment ps_3_0 getPSEndEffect();