float4x4 viewMat;					//View Matrix

//Perform spline alignment
void getBillboards(in float4 pos: r_posVertex,
				   out float4 npos: r_posVertex) {
    
    //Billboarding
	float3 tpos = mul(pos.xyz, transpose((float3x3) viewMat));
	npos = float4(tpos.x, tpos.y, tpos.z, 1);
}

vertexfragment billboarding = compile_fragment vs_3_0 getBillboards();