float4x4 invProjMat;


void vsSSAOScreenQuad(in float4 pos: POSITION,
				   in float4 texCoord0: TEXCOORD0,
				   in float4 texCoord1: TEXCOORD1,
				   out float4 hpos: POSITION,
				   out float4 texCoord0Out: TEXCOORD0,
				   out float4 texCoord1Out: TEXCOORD1) 
{
	hpos = pos;
	texCoord0Out = texCoord0;
	
	float4 tpos = pos;
	tpos.z = 1.0f;
	tpos.w = 1.0f;

	tpos = mul(invProjMat, tpos);
	texCoord1Out = tpos;
}

vertexfragment vsSSAO = compile_fragment vs_3_0 vsSSAOScreenQuad();