float4x4 lightWorldViewProjMat;
float4x4 sideWorldViewProjMat;
//float4x4 topWorldViewProjMat;
float invFarMinusNear;

//------------------------------------
//Do just simply copy the position and normal to shared register
void getStdLightVS(in float4 posVertex: r_posVertex,
				   //out float4 texCoord3Out: TEXCOORD3,
				   out float4 texCoord6Out: TEXCOORD6,
				   out float4 texCoord7Out: TEXCOORD7) {

	//hpos = posVertex; 
	float4 shpos = mul(posVertex, sideWorldViewProjMat );
	//float4 thpos = mul(posVertex, topWorldViewProjMat );
	float4 lhpos = mul(posVertex, lightWorldViewProjMat );

	//texCoord3Out = float4(thpos.x*0.5f, -thpos.y*0.5f, thpos.z*invFarMinusNear, thpos.w);
	texCoord6Out = float4(shpos.x*0.5f, -shpos.y*0.5f, shpos.z*invFarMinusNear, shpos.w);
	texCoord7Out = float4(lhpos.x*0.5f, -lhpos.y*0.5f, lhpos.z*invFarMinusNear, lhpos.w);
}

vertexfragment stdLightVS = compile_fragment vs_3_0 getStdLightVS();


/*//------------------------------------
//float4x4 worldViewProjMat;
float4x4 lightWorldViewProjMat;
float4x4 sideWorldViewProjMat;
float invFarMinusNear;

//------------------------------------
//Do just simply copy the position and normal to shared register
void getStdLightVS(in float4 posVertex: r_posVertex,
				   out float4 texCoord6Out: TEXCOORD6,
				   out float4 texCoord7Out: TEXCOORD7) {

	//hpos = posVertex; 
	float4 shpos = mul(posVertex, sideWorldViewProjMat );
	float4 lhpos = mul(posVertex, lightWorldViewProjMat );

	texCoord6Out = float4(shpos.x*0.5f, -shpos.y*0.5f, shpos.z*invFarMinusNear, shpos.w);
	texCoord7Out = float4(lhpos.x*0.5f, -lhpos.y*0.5f, lhpos.z*invFarMinusNear, lhpos.w);
}

vertexfragment stdLightVS = compile_fragment vs_3_0 getStdLightVS();*/
