float4x4 worldViewProjMat;
float invFarMinusNear;

void getVolumeVS(in float4 posVertex: POSITION,
				in float4 texCoord0: TEXCOORD0,
				out float4 hpos: POSITION,
				out float4 pos: TEXCOORD1,
				out float4 texCoord0Out: TEXCOORD0,
				out float4 depth: TEXCOORD2) {

	hpos = mul( posVertex, worldViewProjMat );
	pos=hpos;
	texCoord0Out = texCoord0;
	depth=float4(hpos.zz*invFarMinusNear, hpos.z,hpos.w);
}

vertexfragment vsVolume = compile_fragment vs_3_0 getVolumeVS();
 