float4x4 worldViewProjMat;
float invFarMinusNear;
float4x4 viewProjMatT;

void getVolumeBackfacesVS(in float4 posVertex: POSITION,
				in float4 texCoord0: TEXCOORD0,
				out float4 hpos: POSITION,
				out float4 texCoord0Out: TEXCOORD0,
				out float4 depth: TEXCOORD4) {

	hpos = mul( posVertex, worldViewProjMat );
	texCoord0Out = texCoord0;
	depth=float4(hpos.zzz*invFarMinusNear,hpos.w);
}

vertexfragment vsVolumeBackfaces = compile_fragment vs_3_0 getVolumeBackfacesVS();
 