sampler2D sourceTex;
sampler2D darkeningTex;
float sceneDuration;



void getPSDirt(in float4 texCoord0: TEXCOORD0,
			  out float4 outColor: COLOR) {
	
	float factor = tex2D(darkeningTex, texCoord0.xy).r;
	factor *= 0.8f + 0.2f*(0.5f + 0.5f*sin(6.2831853*576.0f*texCoord0.y));
    outColor = tex2D(sourceTex, texCoord0.xy)*factor;
}

pixelfragment psDirt = compile_fragment ps_3_0 getPSDirt();