//------------------------------------
float4 cameraPos;
float4x4 worldMat;
float4x4 worldViewProjMat;

void microscopy_VS(in float4 posVertex: r_posVertex,
				in float3 normal: r_normal,
				in float4 texCoord0: r_texCoord0,
				out float4 hpos: POSITION,
				out float4 viewVector: TEXCOORD5,
				out float3 normalWorld: NORMAL,
				out float4 texCoord0Out: TEXCOORD0) {

	hpos = mul( posVertex, worldViewProjMat );

	viewVector=float4(normalize(mul(posVertex, worldMat)-cameraPos.xyz),1.0);

    normalWorld = mul( normal, (float3x3) worldMat );
    texCoord0Out = texCoord0;//float4(texCoord0, 0, 1);
}

vertexfragment microscopyVS = compile_fragment vs_3_0 microscopy_VS();
 