//float4x4 invViewMat;					//View Matrix
//float4x4 viewMat;
float4x4 worldMat;
float sphereRadius;
//float4 spherePos;

//Perform spline alignment
void getSphereBox(in float4 pos: r_posVertex,
				  out float4 texCoord0: r_texCoord0,
				  out float4 npos: r_posVertex) {
    
    //Billboarding
    pos *= sphereRadius;
	
	npos = float4(pos.x, pos.y, pos.z, 1);
	float4 wPos = mul(npos, worldMat);
	texCoord0 = float4(wPos.x, wPos.y, wPos.z, 1);
}

vertexfragment sphereBox = compile_fragment vs_3_0 getSphereBox();